Bug 740258 - New External Bugzilla Tracker: TCMS Test Case
Summary: New External Bugzilla Tracker: TCMS Test Case
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
Assignee: Simon Green
QA Contact: Chris Ward
URL:
Whiteboard:
: 740260 (view as bug list)
Depends On: 740255
Blocks: 741608
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:17 UTC by Chris Ward
Modified: 2014-10-12 22:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 22:47:31 UTC


Attachments (Terms of Use)

Description Chris Ward 2011-09-21 13:17:50 UTC
Description of problem:

Please add a new Ext. BZ Tracker for TCMS Test Cases

Example link for TCMS Test Case ID 109534

https://tcms.engineering.redhat.com/case/109534/


Only members of RH group should have access to this tracker



This request has been approved on behalf of Platform QE, Middleware QE and Cloud QE.

Comment 1 Simon Green 2011-09-21 13:38:26 UTC
Will require a quick code change to restrict visibility. This should be part of next weeks Bugzilla release.

  -- simon

Comment 2 Chris Ward 2011-09-21 13:48:02 UTC
To confirm, you mean to restrict visibility of the Ext. BZ entry from non-redhat group members?

Will that ^^^ be in next weeks BZ release or the whole RFE?

When is next weeks BZ release? Will we have a opportunity to test? :)

Comment 3 Simon Green 2011-09-22 11:06:09 UTC
(In reply to comment #2)
> To confirm, you mean to restrict visibility of the Ext. BZ entry from
> non-redhat group members?

That is correct.

Adding the external trackers themselves does not require a code change. Restricting them to a certain group privilege does require code changes, and this must go through the standard code release process, unless it is deemed urgent (e.g. security bug, or major issue affecting performance)

> Will that ^^^ be in next weeks BZ release or the whole RFE?

The whole thing will be in next weeks release. If I add the external trackers now, they will be visible to everyone. If you are happy for this to happen, please reply to this ticket.
 
> When is next weeks BZ release?

Releases are put on https://partner-bugzilla.redhat.com/ on Wednesday, and put on the live servers Thursday afternoon (both dates US EDT)

>  Will we have a opportunity to test? :)

Yes. They will be put on my bugzilla development server in the next couple of hours.

  -- simon

Comment 4 Simon Green 2011-09-22 11:07:01 UTC
I'm merging 740260 into this ticket to make it easier to manage similar changes:

Description of problem:

Please add a new Ext. BZ Tracker for TCMS Test Plans

Example link for TCMS Test Plan ID 4645

https://tcms.engineering.redhat.com/plan/4645/

Comment 5 Simon Green 2011-09-22 11:07:31 UTC
*** Bug 740260 has been marked as a duplicate of this bug. ***

Comment 6 Chris Ward 2011-09-22 11:32:14 UTC
There is no rush on this. Let it go through standard cod release process.

Looking forward to seeing this in action.

Comment 7 Simon Green 2011-09-22 12:58:13 UTC
Please test this change at
https://bug740258.bz-devel.eng.bne.redhat.com/
(link valid until code is committed to trunk)

and let me know of any issues you find. This will be scheduled to go into next
weeks Bugzilla release.

  -- simon

Comment 9 Chris Ward 2011-09-22 13:27:15 UTC
I would say the description could be in the signular (Case/Plan) rather than plural (Cases/Plans)




I see there's a column for 'status'. I'll CC: you and the TCMS devel team to figure out if and how we might get the case/plan status column update there as well.

Comment 10 Chris Ward 2011-09-22 13:29:50 UTC
> I see there's a column for 'status'. I'll CC: you and the TCMS devel team to
> figure out if and how we might get the case/plan status column update there as
> well.

Is the status updated only when added or do you have some cron job that checks status of all ext. links periodically?

Comment 11 Chris Ward 2011-09-22 13:34:06 UTC
(In reply to comment #10)
> > I see there's a column for 'status'. I'll CC: you and the TCMS devel team to
> > figure out if and how we might get the case/plan status column update there as
> > well.
> 
> Is the status updated only when added or do you have some cron job that checks
> status of all ext. links periodically?

And is 'last updated' referring to when the ext. link was actually last updated (externally) or when bugzilla last fetched the summary/status info for the ext. link?

Comment 12 Simon Green 2011-09-22 13:40:02 UTC
(In reply to comment #9)
> I would say the description could be in the signular (Case/Plan) rather than
> plural (Cases/Plans)

Changed.

> I see there's a column for 'status'. I'll CC: you and the TCMS devel team to
> figure out if and how we might get the case/plan status column update there as
> well.

For SFDC and JIRA we use RPC to get these values.(In reply to comment #10)

(In reply to comment #10)
> Is the status updated only when added or do you have some cron job that checks
> status of all ext. links periodically?

We get them via RPC. If the user's browser supports Javascript, it will be updated when the user visits the bug page.

(In reply to comment #11)
> And is 'last updated' referring to when the ext. link was actually last updated
> (externally) or when bugzilla last fetched the summary/status info for the ext.
> link?

When bugzilla last fetched the summary/status info

Comment 13 Simon Green 2011-09-22 14:14:51 UTC
After further discussions, it has been requested that we use XMLRPC to update the status and summary details from TCMS, as we currently do for JIRA issues.

The documentation for this is:
https://tcms.engineering.redhat.com/xmlrpc/

I have asked the tcms team to set Bugzilla up with an account so it can log in at get the required information.

Changing status of this bug to assigned until I have made those changes.

  -- simon

Comment 14 Simon Green 2011-09-26 00:37:21 UTC
On seconds thoughts, can you please create a separate bug for getting the information from TCMS to Bugzilla to update the summary and status columns. This is going to be a lot more complex than a simple RPC call.

This bug will deal with just the creation of the new trackers.

  -- simon

Comment 17 Simon Green 2011-09-26 22:47:31 UTC
(In reply to comment #6)
> There is no rush on this. Let it go through standard cod release process.
> 
> Looking forward to seeing this in action.

This change is now live. As mentioned in comment #14, please create a new bug for getting the status and summary columns updated from TCMS, if this functionality is required.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.